pub enum StanzaError {
    BadRequest,
    Conflict,
    FeatureNotImplemented,
    Forbidden,
    Gone(String),
    InternalServerError,
    ItemNotFound,
    JidMalformed,
    NotAcceptable,
    NotAllowed,
    NotAuthorized,
    PaymentRequired,
    PolicyViolation,
    RecipientUnavailable,
    Redirect(String),
    RegistrationRequired,
    RemoteServerNotFound,
    RemoteServerTimeout,
    ResourceConstraint,
    ServiceUnavailable,
    SubscriptionRequired,
    UndefinedCondition,
    UnexpectedRequest,
}
